X
NMS Prime
Stay informed. No spam. Just content. This is our promise.
I agree to the privacy terms. I can unsubscribe at any time.
X
Thank You!
X
NMS PRIME - Konferenz
Anzahl der Teilnehmer:
Datenschutz gelesen und akzeptiert
X
Vielen Dank!
X Sign up to comment and create new topics

Hello, I'm triyi

 

I'm triying to test NMSPRIME solution in centos 7 VM with minimal installation.  I have followed the installation but  when I want to install nmsprime wiht: yum install nmsprime-* --exclude nmsprime-billing  the  installation fails with  : 


 Dependency resolution finished
Error: Package: genieacs-1.1.3-1.x86_64 (nmsprime)
           You need: mongodb-server
 You could try using the --skip-broken command to get around the problem
You could try running: rpm- Va --nofiles --nodigest


I have installed mongodb manually but the error appear again


Anyone ?



Most Popular Post
Ronald Gardner on 6 Jan 2021 - Likes 1

yeah some packages recently updated so do this:


manually download and install genieacs package and install using rpm with --nodeps flag

This will force it to install which will cause the NMS installer to see genieacs already installed and not throw the error.

all the mongodb-server commands are provided by mongodb-org-server now but their repo needs to be updated.   

yum install yum-utils

yumdownloader genieacs   (you'll need to install yum-utils for yumdownloader)

rpm -i --nodeps genieacs-1.1.3-1.x86_64.rpm


then run the yum install nmsprime-* --exclude nmsprime-billing again and it will complete.   I haven't found if this causes any problems.   Install went well.


Ron


2 Comments

  1. yeah some packages recently updated so do this:


    manually download and install genieacs package and install using rpm with --nodeps flag

    This will force it to install which will cause the NMS installer to see genieacs already installed and not throw the error.

    all the mongodb-server commands are provided by mongodb-org-server now but their repo needs to be updated.   

    yum install yum-utils

    yumdownloader genieacs   (you'll need to install yum-utils for yumdownloader)

    rpm -i --nodeps genieacs-1.1.3-1.x86_64.rpm


    then run the yum install nmsprime-* --exclude nmsprime-billing again and it will complete.   I haven't found if this causes any problems.   Install went well.


    Ron


  2. Thanks Ron,

    just to summarize:

    cat << "EOF" >> /etc/yum.repos.d/mongodb-org-4.4.repo
    [mongodb-org-4.4]
    name=MongoDB Repository
    baseurl=https://repo.mongodb.org/yum/redhat/$releasever/mongodb-org/4.4/x86_64/
    gpgcheck=1
    enabled=1
    gpgkey=https://www.mongodb.org/static/pgp/server-4.4.asc
    EOF
    
    curl -vsL https://raw.githubusercontent.com/nmsprime/nmsprime/install/INSTALL-REPO.sh | bash
    
    yum install -y mongodb-org-server nodejs
    
    rpm -i --nodeps https://repo.nmsprime.com/rpm/nmsprime/genieacs-1.1.3-1.x86_64.rpm
    
    yum -y install nmsprime-*

    This should do the trick. The upcoming release will fix this issue.

    BR,

    Ole